Bug 227058 - Review Request: gnu-trove-1.0.2-4jpp - High performance collections for Java
Summary: Review Request: gnu-trove-1.0.2-4jpp - High performance collections for Java
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nuno Santos
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:36 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-08 21:42:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec file already renamed (4.66 KB, application/octet-stream)
2007-02-12 19:13 UTC, Fernando Nasser
no flags Details

Description Rafael H. Schloming 2007-02-02 17:36:36 UTC
Spec URL: http://people.redhat.com/rafaels/specs/gnu.trove-1.0.2-4jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/gnu.trove-1.0.2-4jpp.src.rpm
Description: The GNU Trove library has two objectives:

Provide "free" (as in "free speech" and "free beer"),
fast, lightweight implementations of the java.util
Collections API. These implementations are designed
to be pluggable replacements for their JDK equivalents.

Whenever possible, provide the same collections support
for primitive types. This gap in the JDK is often
addressed by using the "wrapper" classes
(java.lang.Integer, java.lang.Float, etc.) with
Object-based collections. For most applications, however,
collections which store primitives directly will require
less space and yield significant performance gains.

Javadoc for gnu.trove.

Comment 1 Fernando Nasser 2007-02-08 20:04:21 UTC
Please rename this package to gnu-trove  (i.e., replace the '.' in the name with
a '-').

Comment 2 Fernando Nasser 2007-02-12 19:13:11 UTC
Created attachment 147926 [details]
spec file already renamed

Comment 3 Fernando Nasser 2007-02-12 19:14:29 UTC
SRPM URL  http://people.redhat.com/fnasser/gnu-trove-1.0.2-5jpp.src.rpm

Comment 4 Jeff Johnston 2007-02-12 20:01:15 UTC
MUST:
X remove %define short-name and simply use trove in %Name
X release should be of form: Xjpp.Y%{?dist}
X no explanation of how source0 generated or where fetched from
X correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
X rpmlint on <this package>.srpm gives no output
[jjohnstn@vermillion Desktop]$ rpmlint gnu-trove-1.0.2-5jpp.src.rpm 
W: gnu-trove non-standard-group Development/Libraries/Java
E: gnu-trove unknown-key GPG#c431416d
W: gnu-trove unversioned-explicit-provides gnu.trove
W: gnu-trove unversioned-explicit-obsoletes gnu.trove
W: gnu-trove unversioned-explicit-provides gnu.trove-javadoc
W: gnu-trove unversioned-explicit-obsoletes gnu.trove-javadoc
W: gnu-trove mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 52)

X Vendor tag should not be used
X make sure lines are <= 80 characters
* verify the final provides and requires of the binary RPMs
* run rpmlint on the binary RPMs

[jjohnstn@vermillion noarch]$ rpmlint gnu-trove-1.0.2-5jpp.noarch.rpm 
W: gnu-trove non-standard-group Development/Libraries/Java
[jjohnstn@vermillion noarch]$ rpmlint gnu-trove-javadoc-1.0.2-5jpp.noarch.rpm 
W: gnu-trove-javadoc non-standard-group Development/Documentation
W: gnu-trove-javadoc dangerous-command-in-%post rm
W: gnu-trove-javadoc dangerous-command-in-%postun rm



Comment 5 Jeff Johnston 2007-02-12 21:47:50 UTC
Comments handled.  %define short-name was used elsewhere.  Only removed it from
%Name.

http://www.vermillionskye.com/downloads/gnu-trove-1.0.2-5jpp.1.src.rpm
http://www.vermillionskye.com/downloads/gnu-trove.spec



Comment 6 Thomas Fitzsimmons 2007-02-12 23:06:02 UTC
$ rpm -qp --requires RPMS/noarch/gnu-trove-1.0.2-5jpp.1.noarch.rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1

$ rpm -qp --provides RPMS/noarch/gnu-trove-1.0.2-5jpp.1.noarch.rpm
gnu.trove <= 0:1.0.2-5jpp.1
gnu-trove = 0:1.0.2-5jpp.1

$ rpm -qp --requires RPMS/noarch/gnu-trove-javadoc-1.0.2-5jpp.1.noarch.rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1

$ rpm -qp --provides RPMS/noarch/gnu-trove-javadoc-1.0.2-5jpp.1.noarch.rpm
gnu.trove-javadoc <= 0:1.0.2-5jpp.1
gnu-trove-javadoc = 0:1.0.2-5jpp.1

APPROVED.


Comment 7 Fernando Nasser 2007-02-13 15:50:42 UTC
Updated the subject line so we find it if we ever go looking for gnu-trove (with
the '-').

Comment 8 Nuno Santos 2007-03-08 21:42:42 UTC
No longer needed for maven2 packaging.


Note You need to log in before you can comment on or make changes to this bug.